From b3d52389a826c9fa0486459aa39993a6e24a1bfa Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Feb 25 2020 06:20:34 +0000
Subject: [PATCH 58/2232] Use platform's path separator when writing cxxbridge.h


---

diff --git a/src/lib.rs b/src/lib.rs
index 6f40124..4c0f3c9 100644
--- a/src/lib.rs
+++ b/src/lib.rs
@@ -463,7 +463,7 @@ fn try_generate_bridge(rust_source_file: &Path) -> Result<cc::Build> {
     let mut build = paths::cc_build();
     build.file(&bridge_path);
 
-    let ref cxxbridge_h = paths::include_dir()?.join("cxxbridge/cxxbridge.h");
+    let ref cxxbridge_h = paths::include_dir()?.join("cxxbridge").join("cxxbridge.h");
     let _ = fs::create_dir_all(cxxbridge_h.parent().unwrap());
     let _ = fs::remove_file(cxxbridge_h);
     let _ = fs::write(cxxbridge_h, gen::include::HEADER);

